import * as services from '@jupyterlab/services';
import * as Backbone from 'backbone';
import * as base from '@jupyter-widgets/base';
export declare class MockComm {
    constructor();
    on_open(fn: any): void;
    on_close(fn: any): void;
    on_msg(fn: any): void;
    _process_msg(msg: any): any;
    open(): string;
    close(): string;
    send(): string;
    comm_id: string;
    target_name: string;
    _on_msg: Function;
    _on_open: Function;
    _on_close: Function;
}
export declare class DummyManager extends base.ManagerBase<HTMLElement> {
    constructor(library: any);
    display_view(msg: services.KernelMessage.IMessage, view: Backbone.View<Backbone.Model>, options: any): Promise<any>;
    protected loadClass(className: string, moduleName: string, moduleVersion: string): Promise<any>;
    _get_comm_info(): Promise<{}>;
    _create_comm(): Promise<MockComm>;
    el: HTMLElement;
    library: any;
}
